       LIST

;==========================================================================
; Build date : Jun 02 2022
;  HCIDE HC18PM303D processor include
; 
;  (c) Copyright 2012-2022 Holychip Technology, All rights reserved
;==========================================================================

        NOLIST

;==========================================================================
;  This header file defines configurations, registers, and other useful
;  bits of information for the HC18PM303D microcontroller.  These names
;  are taken to match the data sheets as closely as possible.
;
;  Note that the processor must be selected before this file is included.
;  The processor may be selected the following ways:
;
;       1. Command line switch:
;       2. LIST directive in the source file
;               LIST   P=HC18PM303D
;       3. Processor Type entry in the HCIDE full-screen interface
;       4. Setting the processor in the HCIDE Project Dialog
;==========================================================================

;==========================================================================
;
;       Verify Processor
;
;==========================================================================
        IFNDEF __16Pm303d
           MESSG "Processor-header file mismatch.  Verify selected processor."
        ENDIF



;==========================================================================
;
;       Register Definitions
;
;==========================================================================

W                EQU  H'0000'
F                EQU  H'0001'

;----- Register Files -----------------------------------------------------

;-----Bank0------------------
INDF0            EQU  H'0000'
INDF1            EQU  H'0001'
PCL              EQU  H'0002'
STATUS           EQU  H'0003'
FSR0             EQU  H'0004'
FSR0L            EQU  H'0004'
FSR0H            EQU  H'0005'
FSR1             EQU  H'0006'
FSR1L            EQU  H'0006'
FSR1H            EQU  H'0007'
PCLATH           EQU  H'0008'
INTCON           EQU  H'0009'

TRISA		EQU		H'0010'
TRISB		EQU		H'0011'
TRISC		EQU		H'0012'
TRISD		EQU		H'0013'
PORTA		EQU		H'001C'
PORTB		EQU		H'001D'
PORTC		EQU		H'001E'
PORTD		EQU		H'001F'
WPUA		EQU		H'0028'
WPUB		EQU		H'0029'
WPUC		EQU		H'002A'
WPUD		EQU		H'002B'
WPDA		EQU		H'0034'
WPDB		EQU		H'0035'
WPDC		EQU		H'0036'
WPDD		EQU		H'0037'
IOCB		EQU		H'0038'

PIR1		EQU		H'0054'
PIR2		EQU		H'0055'

T1L		EQU		H'0058'
T1H		EQU		H'0059'
T1CON		EQU		H'005A'
T0		EQU		H'005B'
T2		EQU		H'005C'
PR2		EQU		H'005D'
T2CON		EQU		H'005E'
PR1L		EQU		H'005F'
PR1CON		EQU		H'0060'

PIE1		EQU		H'0070'
PIE2		EQU		H'0071'		
OPTION		EQU		H'0078'
PCON		EQU		H'0079'

OSCCON		EQU		H'007A'
OSCRDY		EQU		H'007B'
TRMEN		EQU		H'007C'
TRMV		EQU		H'007D'

 		
ANSELA		EQU		H'008C'
ANSELB		EQU		H'008D'
ANSELC		EQU		H'008E'
ANSELD		EQU		H'008F'

ADRESL		EQU		H'0092'
ADRESH		EQU		H'0093'

ADCON0		EQU		H'0094'
ADCON1		EQU		H'0095'
ADCLK		EQU		H'0096'  		
PMDATL		EQU		H'009A'
PMDATH		EQU		H'009B'
PMADRL		EQU		H'009C'
PMADRH		EQU		H'009D'
PMCON		EQU		H'009E'



PFGCON		EQU		H'00A6'
PFGADH		EQU		H'00A7'
PFGADL		EQU		H'00A8'

RBCSEL		EQU		H'00A9'
CTKCLK          EQU		H'00AB'
DSCR      	EQU		H'00AC'
TMODCON         EQU		H'00AD'
CTKCON		EQU		H'00AE'
CTKCHS		EQU		H'00B0'
CDCRL		EQU		H'00B3'
CDCRH		EQU		H'00B4'

EEPCON           EQU		H'00B8'
EEPDAT           EQU		H'00B9'
EEPADR           EQU		H'00BA'

BORC		EQU		H'00C0'
BORDBC		EQU		H'00C1'

RSTFR		EQU		H'00C2'

SLEWC		EQU		H'00C8'

UARTMAP		EQU		H'00C9'
IICMAP          EQU		H'00CA'
SPIMAP          EQU		H'00CB'
INTMAP	EQU		H'00CC'
PWMMAP		EQU		H'00CD'

PWMEN		EQU		H'00D0'
FLTMODE		EQU		H'00D1'
PWMM 		EQU		H'00D2'
PWM0C		EQU		H'00D3'
PWM0PL          EQU		H'00D8'
PWM0PH          EQU		H'00D9'
PWM0DL		EQU		H'00DA'
PWM0DH          EQU		H'00DB'
PWM0DTL		EQU		H'00DC'
PWM0DTH		EQU		H'00DD'


;-----Bank1------------------   	
SCON		EQU     H'0230'
SCON2           EQU     H'0231'
SBUF		EQU	H'0232'
BRTL		EQU 	H'0235'
BRTH		EQU 	H'0236'

SPCTL 		EQU		H'0238'
SPSTAT		EQU		H'0239'
SPDAT		EQU		H'023A'

IICCON		EQU		H'0240'
IICSTA		EQU		H'0241'
IICDAT		EQU		H'0242'
IICADR		EQU		H'0243'

;----- STATUS Bits --------------------------------------------------------
RP0								EQU  H'0005'
TO								EQU  H'0004'
PD								EQU  H'0003'
Z								EQU  H'0002'
DC								EQU  H'0001'
C								EQU  H'0000'
;----- INTCON Bits --------------------------------------------------------
GIE								EQU  H'0007'
PEIE							EQU  H'0006'
T0IE							EQU  H'0005' 
INTE							EQU  H'0004'
RBIE							EQU  H'0003'
T0IF							EQU  H'0002'
INTF							EQU  H'0001'
RBIF							EQU  H'0000'

;----- TRISA Bits ----------------------------------------------------------							
							
TRISA7							EQU  H'0007'
TRISA6							EQU  H'0006'
TRISA5							EQU  H'0005'
TRISA4							EQU  H'0004'
TRISA3							EQU  H'0003'
TRISA2							EQU  H'0002'
TRISA1							EQU  H'0001'
TRISA0							EQU  H'0000'

;----- TRISB Bits ----------------------------------------------------------							
							
TRISB7							EQU  H'0007'
TRISB6							EQU  H'0006'
TRISB5							EQU  H'0005'
TRISB4							EQU  H'0004'
TRISB3							EQU  H'0003'
TRISB2							EQU  H'0002'
TRISB1							EQU  H'0001'
TRISB0							EQU  H'0000'

;----- TRISC Bits ----------------------------------------------------------							
							
TRISC7							EQU  H'0007'
TRISC6							EQU  H'0006'
TRISC5							EQU  H'0005'
TRISC4							EQU  H'0004'
TRISC3							EQU  H'0003'
TRISC2							EQU  H'0002'
TRISC1							EQU  H'0001'
TRISC0							EQU  H'0000'

;----- TRISD Bits ----------------------------------------------------------							
							
TRISD5							EQU  H'0005'
TRISD4							EQU  H'0004'

;----- PORTA Bits ----------------------------------------------------------							
							
PORTA7							EQU  H'0007'
PORTA6							EQU  H'0006'
PORTA5							EQU  H'0005'
PORTA4							EQU  H'0004'
PORTA3							EQU  H'0003'
PORTA2							EQU  H'0002'
PORTA1							EQU  H'0001'
PORTA0							EQU  H'0000'
							
;----- PORTB Bits ----------------------------------------------------------							
							
PORTB7							EQU  H'0007'
PORTB6							EQU  H'0006'
PORTB5							EQU  H'0005'
PORTB4							EQU  H'0004'
PORTB3							EQU  H'0003'
PORTB2							EQU  H'0002'
PORTB1							EQU  H'0001'
PORTB0							EQU  H'0000'

;----- PORTC Bits ----------------------------------------------------------							
							
PORTC7							EQU  H'0007'
PORTC6							EQU  H'0006'
PORTC5							EQU  H'0005'
PORTC4							EQU  H'0004'
PORTC3							EQU  H'0003'
PORTC2							EQU  H'0002'
PORTC1							EQU  H'0001'
PORTC0							EQU  H'0000'

;----- PORTD Bits ----------------------------------------------------------							
							
PORTD5							EQU  H'0005'
PORTD4							EQU  H'0004'

;----- WPUA Bits ----------------------------------------------------------

WPUA7							EQU  H'0007'
WPUA6							EQU  H'0006'
WPUA5							EQU  H'0005'
WPUA4							EQU  H'0004'
WPUA3							EQU  H'0003'
WPUA2							EQU  H'0002'
WPUA1							EQU  H'0001'
WPUA0							EQU  H'0000' 

;----- WPUB Bits ----------------------------------------------------------

WPUB7							EQU  H'0007'
WPUB6							EQU  H'0006'
WPUB5							EQU  H'0005'
WPUB4							EQU  H'0004'
WPUB3							EQU  H'0003'
WPUB2							EQU  H'0002'
WPUB1							EQU  H'0001'
WPUB0							EQU  H'0000' 

;----- WPUC Bits ----------------------------------------------------------

WPUC7							EQU  H'0007'
WPUC6							EQU  H'0006'
WPUC5							EQU  H'0005'
WPUC4							EQU  H'0004'
WPUC3							EQU  H'0003'
WPUC2							EQU  H'0002'
WPUC1							EQU  H'0001'
WPUC0							EQU  H'0000' 

;----- WPUD Bits ----------------------------------------------------------

WPUD5							EQU  H'0005'
WPUD4							EQU  H'0004'

;----- WPDA Bits ----------------------------------------------------------

WPDA7							EQU  H'0007'
WPDA6							EQU  H'0006'
WPDA5							EQU  H'0005'
WPDA4							EQU  H'0004'
WPDA3							EQU  H'0003'
WPDA2							EQU  H'0002'
WPDA1							EQU  H'0001'
WPDA0							EQU  H'0000' 

;----- WPDB Bits ----------------------------------------------------------

WPDB7							EQU  H'0007'
WPDB6							EQU  H'0006'
WPDB5							EQU  H'0005'
WPDB4							EQU  H'0004'
WPDB3							EQU  H'0003'
WPDB2							EQU  H'0002'
WPDB1							EQU  H'0001'
WPDB0							EQU  H'0000' 

;----- WPDC Bits ----------------------------------------------------------

WPDC7							EQU  H'0007'
WPDC6							EQU  H'0006'
WPDC5							EQU  H'0005'
WPDC4							EQU  H'0004'
WPDC3							EQU  H'0003'
WPDC2							EQU  H'0002'
WPDC1							EQU  H'0001'
WPDC0							EQU  H'0000' 

;----- WPDD Bits ----------------------------------------------------------

WPDD5							EQU  H'0005'
WPDD4							EQU  H'0004'

;----- IOCB Bits ----------------------------------------------------------

IOCB7							EQU  H'0007'
IOCB6							EQU  H'0006'
IOCB5							EQU  H'0005'
IOCB4							EQU  H'0004'
IOCB3							EQU  H'0003'
IOCB2							EQU  H'0002'
IOCB1							EQU  H'0001'
IOCB0							EQU  H'0000'

;----- PORCTR Bits ----------------------------------------------------------
ONA3							EQU  H'0004'
CCPCT							EQU  H'0003'
PWMCT							EQU  H'0002'
UAPCT1							EQU  H'0001'
UAPCT0							EQU  H'0000'

;----- DRENAL Bits ----------------------------------------------------------

DRENAL7							EQU  H'0007'
DRENAL6							EQU  H'0006'
DRENAL4							EQU  H'0004'
DRENAL3							EQU  H'0003'
DRENAL2							EQU  H'0002'
DRENAL1							EQU  H'0001'
DRENAL0							EQU  H'0000' 

;----- DRENBL Bits ----------------------------------------------------------

DRENBL7							EQU  H'0007'
DRENBL6							EQU  H'0006'
DRENBL5							EQU  H'0005'
DRENBL3							EQU  H'0003'
DRENBL2							EQU  H'0002'
DRENBL1							EQU  H'0001'
DRENBL0							EQU  H'0000' 

;----- PIR1 bits --------------------------------------------------------
ADIF							EQU  H'0006'
MODF							EQU  H'0005'
SPIIF							EQU  H'0004'
IICIF							EQU  H'0003'
T2IF							EQU  H'0001'
T1IF							EQU  H'0000'
						
;----- PIR2 Bits --------------------------------------------------------
CTKIF						    EQU  H'0007' 
WDTIF						    EQU  H'0006' 
PWM0IF						    EQU  H'0005' 
RXIF							EQU  H'0003'
TXIF							EQU  H'0002'
EEPIF						    EQU  H'0001'
        						
;----- T1CON Bits --------------------------------------------------------
T1CS1							EQU  H'0007'
T1CS0							EQU  H'0006'
T1CKPS1						    EQU  H'0005' 
T1CKPS0						    EQU  H'0004'
T1OSCEN						    EQU  H'0003'
T1SYNC						    EQU  H'0002'
T1ON							EQU  H'0000'

;----- T2CON Bits ----------------------------------------------------------

T2CKPS3						    EQU  H'0006'
T2CKPS2						    EQU  H'0005' 
T2CKPS1						    EQU  H'0004'
T2CKPS0						    EQU  H'0003'
T2ON							EQU  H'0002'

;----- PR1CON Bits ----------------------------------------------------------
TICKPS3						    EQU  H'0003'
TICKPS2						    EQU  H'0002' 

;----- PIE1 Bits ----------------------------------------------------------
ADIE							EQU  H'0006'
SPIIE							EQU  H'0004'
IICIE						    EQU  H'0003'
T2IE							EQU  H'0001'
T1IE							EQU  H'0000'

;----- PIE2 Bits ----------------------------------------------------------
CTKIE							EQU  H'0007'
WDTIE							EQU  H'0006'
PWM0IE						    EQU  H'0005'
UARTIE						    EQU  H'0002'
EEPIE							EQU  H'0001'

;----- OPTION Bits --------------------------------------------------------				
RBPUB							EQU  H'0007'
INTEDG						    EQU  H'0006'
T0CS							EQU  H'0005' 
T0SE							EQU  H'0004'
PSA								EQU  H'0003'																																		
PS2								EQU  H'0002'																																		
PS1								EQU  H'0001'																																		
PS0								EQU  H'0000'	

;----- PCON Bits ----------------------------------------------------------	
WDTENS						    EQU  H'0004'		


;----- OSCCON Bits ----------------------------------------------------------
T0OSCEN							EQU  H'0007'
RC32MDIV1						EQU  H'0006'
RC32MDIV0						EQU  H'0005'
HXEN							EQU  H'0004'
CPUDIV2 						EQU  H'0003'
CPUDIV1 						EQU  H'0002'
CPUDIV0 						EQU  H'0001'
SCS 							EQU  H'0000'
																																												
;----- OSCRDY Bits ----------------------------------------------------------
HSRCRDY 						EQU  H'0001'
LSRCRDY 						EQU  H'0000'

;----- TRMEN Bits ----------------------------------------------------------
RCTRMEN 						EQU  H'0000'
   			
;----- ANSELA Bits ----------------------------------------------------------
ANSELA7							EQU  H'0007'
ANSELA6							EQU  H'0006'
ANSELA5							EQU  H'0005'
ANSELA4							EQU  H'0004'
ANSELA3							EQU  H'0003'
ANSELA2							EQU  H'0002'
ANSELA1							EQU  H'0001'
ANSELA0							EQU  H'0000'

;----- ANSELB Bits ----------------------------------------------------------
ANSELB7							EQU  H'0007'
ANSELB6							EQU  H'0006'
ANSELB5							EQU  H'0005'
ANSELB4							EQU  H'0004'
ANSELB3							EQU  H'0003'
ANSELB2							EQU  H'0002'
ANSELB1							EQU  H'0001'
ANSELB0							EQU  H'0000'

;----- ANSELC Bits ----------------------------------------------------------
ANSELC7							EQU  H'0007'
ANSELC6							EQU  H'0006'
ANSELC5							EQU  H'0005'
ANSELC4							EQU  H'0004'
ANSELC3							EQU  H'0003'
ANSELC2							EQU  H'0002'
ANSELC1							EQU  H'0001'
ANSELC0							EQU  H'0000'

;----- ANSELD Bits ----------------------------------------------------------
ANSELD5							EQU  H'0005'
ANSELD4							EQU  H'0004'
    					
;----- ADCON0 Bits ----------------------------------------------------------
CHS3							EQU  H'0005'
CHS2							EQU  H'0004'
CHS1							EQU  H'0003'
CHS0							EQU  H'0002'
ADON							EQU  H'0001'
ADEN							EQU  H'0000'

;----- ADCON1 Bits ----------------------------------------------------------
ADFM							EQU  H'0007'
ADCS2							EQU  H'0006'
ADCS1							EQU  H'0005'
ADCS0							EQU  H'0004'
INREFS2							EQU  H'0003'
INREFS1							EQU  H'0002'
INREFS0							EQU  H'0001'
VREFS							EQU  H'0000'

;-----ADCLK Bits ----------------------------------------------------------
ADCLK2							EQU  H'0002'       					
ADCLK1							EQU  H'0001'
ADCLK0							EQU  H'0000'    	

;-----PMCON Bits ----------------------------------------------------------  					
RDON							EQU  H'0000'

;-----PFGCON Bits ----------------------------------------------------------
PFGEN							EQU  H'0007'       					
PFGCF1							EQU  H'0006'
PFGCF0							EQU  H'0005'   

;-----PFGADH Bits ----------------------------------------------------------
PFGADH6							EQU  H'0006'       					
PFGADH5							EQU  H'0005'
PFGADH4							EQU  H'0004' 
PFGADH3							EQU  H'0003' 
PFGADH2							EQU  H'0002' 
PFGADH1							EQU  H'0001' 
PFGADH0							EQU  H'0000' 

;-----PFGADL Bits ----------------------------------------------------------      					
PFGADL5							EQU  H'0005'
PFGADL4							EQU  H'0004' 
PFGADL3							EQU  H'0003' 
PFGADL2							EQU  H'0002' 
PFGADL1							EQU  H'0001' 
PFGADL0							EQU  H'0000' 

;----- RECSEL Bits ----------------------------------------------------------
CMODS							EQU  H'0007'
RBSEL1							EQU  H'0001'
RBSEL0							EQU  H'0000' 

;----- CTKCLK Bits ----------------------------------------------------------
CTKDS2							EQU  H'0006'
CTKDS1							EQU  H'0005'
CTKDS0							EQU  H'0004'
PNEN							EQU  H'0003'
PRSDIV2							EQU  H'0002'
PRSDIV1							EQU  H'0001'
PRSDIV0							EQU  H'0000' 

;----- TMODCON Bits ----------------------------------------------------------
TMODEN							EQU  H'0004'
TMODSEL							EQU  H'0000' 

;----- CTKCON Bits ----------------------------------------------------------
CTKON							EQU  H'0007'
CTKST							EQU  H'0006'

;----- EEPCON Bits ----------------------------------------------------------
EEPEN							EQU  H'0007'
WPEER							EQU  H'0003'
WREN							EQU  H'0002'
WR								EQU  H'0001'
RD								EQU  H'0000' 

;----- BORC Bits ----------------------------------------------------------
BOREN							EQU  H'0007'
BORDBCEN						EQU  H'0006'
BORVS2							EQU  H'0002'
BORVS1							EQU  H'0001'
BORVS0							EQU  H'0000' 

;----- RSTFR Bits ----------------------------------------------------------
PORF							EQU  H'0007'
EXRSTF							EQU  H'0006'
BORF							EQU  H'0005'
WDTRF							EQU  H'0004'

;----- SLEWC Bits ----------------------------------------------------------
SLEWC1							EQU  H'0001'
SLEWC0							EQU  H'0000'

;----- UARTMAP Bits ----------------------------------------------------------
RXTXMAP2						EQU  H'0006'
RXTXMAP1						EQU  H'0005'
RXTXMAP0						EQU  H'0004'

;----- IICMAP Bits ----------------------------------------------------------
SLKMAP2							EQU  H'0006'
SLKMAP1							EQU  H'0005'
SLKMAP0							EQU  H'0004'
SDAMAP2							EQU  H'0002'
SDAMAP1							EQU  H'0001'
SDAMAP0							EQU  H'0000' 

;----- SPIMAP Bits ----------------------------------------------------------
SSMAP1							EQU  H'0007'
SSMAP0							EQU  H'0006'
SCKMAP1							EQU  H'0005'
SCKMAP0							EQU  H'0004'
MOSIMISOMAP1					EQU  H'0003'
MOSIMISOMAP0					EQU  H'0002'

;----- INTMAP Bits ----------------------------------------------------------
INTMAP2							EQU  H'0002'
INTMAP1							EQU  H'0001'
INTMAP0							EQU  H'0000' 

;----- PWMMAP Bits ----------------------------------------------------------
PWM01MAP2						EQU  H'0006'
PWM01MAP1						EQU  H'0005'
PWM01MAP0						EQU  H'0004'
PWM0MAP2						EQU  H'0002'
PWM0MAP1						EQU  H'0001'
PWM0MAP0						EQU  H'0000' 

;----- PWMEN Bits ----------------------------------------------------------
PWM01EN							EQU  H'0004'
PWM0EN							EQU  H'0000' 

;----- FLTMODE Bits ----------------------------------------------------------
EFLT0							EQU  H'0006'
FLT0MODE1						EQU  H'0001'
FLT0MODE0						EQU  H'0000' 

;----- PWMM Bits ----------------------------------------------------------
PWM0M							EQU  H'0004'
RELOAD0							EQU  H'0000' 

;----- PWM0C Bits ----------------------------------------------------------
FLT0S							EQU  H'0005'
FLT0C							EQU  H'0004'
PWM0S1							EQU  H'0003'
PWM0S0							EQU  H'0002'
CK1								EQU  H'0001'
CK0								EQU  H'0000' 

;----- SCON Bits ----------------------------------------------------------
FE								EQU  H'0007'
RXROV							EQU  H'0006'
TXCOL							EQU  H'0005'
REN								EQU  H'0004'
TR8								EQU  H'0003'
RB8								EQU  H'0002'

;----- SCON2 Bits ----------------------------------------------------------
BRTR							EQU  H'0005'
SM1								EQU  H'0001'
SM2								EQU  H'0000'

;----- SPCTL Bits ----------------------------------------------------------
SSIG							EQU  H'0007'
SPEN							EQU  H'0006'
DORD							EQU  H'0005'
MSTR							EQU  H'0004'
CPOL							EQU  H'0003'
CPHA							EQU  H'0002'
SPR1							EQU  H'0001'
SPR0							EQU  H'0000'

;----- SPSTAT Bits ----------------------------------------------------------
WCOL							EQU  H'0006'
RXOV							EQU  H'0005'

;----- IICCON Bits ----------------------------------------------------------
CR2								EQU  H'0007'
IICEN							EQU  H'0006'
STA								EQU  H'0005'
STO								EQU  H'0004'
AA								EQU  H'0002'
CR1								EQU  H'0001'
CR0								EQU  H'0000'

;----- IICADR Bits ----------------------------------------------------------
GC								EQU  H'0000'


;==========================================================================
;
;       RAM Definitions
;
;==========================================================================
       __MAXRAM  H'03FF'
    
       __BADRAM  H'000a'-H'000f'
       __BADRAM  H'0013'-H'0014'
       __BADRAM  H'0016'-H'001b'
       __BADRAM  H'001f'-H'0020'
       __BADRAM  H'0022'-H'0027'
       __BADRAM  H'002b'-H'002c'
       __BADRAM  H'002e'-H'0033'
       __BADRAM  H'0037'-H'0038'
       __BADRAM  H'003a'-H'003f'
       __BADRAM  H'0043'-H'0044'
       __BADRAM  H'0046'-H'004b'
       __BADRAM  H'0050'-H'0051'
       __BADRAM  H'0053'
       __BADRAM  H'0057'
       __BADRAM  H'0061'-H'006f'
       __BADRAM  H'0073'-H'0077'
       __BADRAM  H'007b'-H'007f'
       __BADRAM  H'0086'-H'008b'
       __BADRAM  H'008e'-H'0091'
       __BADRAM  H'0097'-H'0099' 
       __BADRAM  H'009f'  
       __BADRAM  H'00a3'-H'00a4'
       __BADRAM  H'00a6'-H'00ff'
       
       __BADRAM  H'020a'-H'0239'
       __BADRAM  H'0240'-H'0257'
       __BADRAM  H'0260'-H'02af'
       __BADRAM  H'02b7'-H'02ff'   
       						
;==========================================================================
;
;       Configuration Bits
;
;   NAME            Address
;   CONFIG            2000h
;
;==========================================================================

; The following is an assignment of address values for all of the
; configuration registers for the purpose of table reads
_CONFIG          EQU  H'2000'


;----- CONFIG Options --------------------------------------------------
_FOSC_LP             EQU  H'FCFF'    ; LP oscillator: Low-power crystal on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_LP_OSC              EQU  H'FCFF'    ; LP oscillator: Low-power crystal on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_FOSC_XT             EQU  H'FDFF'    ; XT oscillator: Crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_XT_OSC              EQU  H'FDFF'    ; XT oscillator: Crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_FOSC_HS             EQU  H'FFFD'    ; HS oscillator: High-speed crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_HS_OSC              EQU  H'FFFD'    ; HS oscillator: High-speed crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
;_FOSC_EC             EQU  H'FFFD'    ; EC: I/O function on RA4/OSC2/CLKOUT pin, CLKIN on RA5/OSC1/CLKIN
;_EC_OSC              EQU  H'3FFB'    ; EC: I/O function on RA4/OSC2/CLKOUT pin, CLKIN on RA5/OSC1/CLKIN
_FOSC_INTRCIO        EQU  H'FFFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
_INTRC_OSC_NOCLKOUT  EQU  H'FFFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
_INTOSCIO            EQU  H'FFFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_FOSC_INTRCCLK       EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_INTRC_OSC_CLKOUT    EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_INTOSC              EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_FOSC_EXTRCIO        EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC_OSC_NOCLKOUT  EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRCIO             EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_FOSC_EXTRCCLK       EQU  H'FFFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC_OSC_CLKOUT    EQU  H'FFFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC               EQU  H'FFFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN

_WDTE_OFF            EQU  H'FFFB'    ; WDT disabled and can be enabled by SWDTEN bit of the WDTCON register
_WDT_OFF             EQU  H'FFFB'    ; WDT disabled and can be enabled by SWDTEN bit of the WDTCON register
_WDTE_ON             EQU  H'FFFF'    ; WDT enabled
_WDT_ON              EQU  H'FFFF'    ; WDT enabled

;_PWRTE_ON            EQU  H'3FEF'    ; PWRT enabled
;_PWRTE_OFF           EQU  H'3FFF'    ; PWRT disabled

;_MCLRE_OFF           EQU  H'3FDF'    ; MCLR pin function is digital input, MCLR internally tied to VDD
;_MCLRE_ON            EQU  H'3FFF'    ; MCLR pin function is MCLR

_CP_ON               EQU  H'FFEF'    ; Program memory code protection is enabled
_CP_OFF              EQU  H'FFFF'    ; Program memory code protection is disabled

;_CPD_ON              EQU  H'3F7F'    ; Data memory code protection is enabled
;_CPD_OFF             EQU  H'3FFF'    ; Data memory code protection is disabled

;_BOREN_OFF           EQU  H'3CFF'    ; BOR disabled
;_BOD_OFF             EQU  H'3CFF'    ; BOR disabled
;_BOR_OFF             EQU  H'3CFF'    ; BOR disabled
;_BOREN_SBODEN        EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOD_SBODEN          EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOR_SBODEN          EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOREN_NSLEEP        EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOD_NSLEEP          EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOR_NSLEEP          EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOREN_ON            EQU  H'3FFF'    ; BOR enabled
;_BOD_ON              EQU  H'3FFF'    ; BOR enabled
;_BOR_ON              EQU  H'3FFF'    ; BOR enabled

;_IESO_OFF            EQU  H'3BFF'    ; Internal External Switchover mode is disabled
;_IESO_ON             EQU  H'3FFF'    ; Internal External Switchover mode is enabled

;_FCMEN_OFF           EQU  H'37FF'    ; Fail-Safe Clock Monitor is disabled
;_FCMEN_ON            EQU  H'3FFF'    ; Fail-Safe Clock Monitor is enabled

;----- DEVID Equates --------------------------------------------------
;_DEVID1          EQU  H'2006'

;----- IDLOC Equates --------------------------------------------------
;_IDLOC0          EQU  H'2000'
;_IDLOC1          EQU  H'2001'
;_IDLOC2          EQU  H'2002'
;_IDLOC3          EQU  H'2003'

       
        LIST