       LIST

;==========================================================================
; Build date : Jun 02 2017
;  HCIDE HC16P122b1 processor include
; 
;  (c) Copyright 2012-2022 Holychip Technology, All rights reserved
;==========================================================================

        NOLIST

;==========================================================================
;  This header file defines configurations, registers, and other useful
;  bits of information for the HC18P235L microcontroller.  These names
;  are taken to match the data sheets as closely as possible.
;
;  Note that the processor must be selected before this file is included.
;  The processor may be selected the following ways:
;
;       1. Command line switch:
;       2. LIST directive in the source file
;               LIST   P=HC16P122b1
;       3. Processor Type entry in the HCIDE full-screen interface
;       4. Setting the processor in the HCIDE Project Dialog
;==========================================================================

;==========================================================================
;
;       Verify Processor
;
;==========================================================================
        IFNDEF __sql5822
           MESSG "Processor-header file mismatch.  Verify selected processor."
        ENDIF



;==========================================================================
;
;       Register Definitions
;
;==========================================================================

W                EQU  H'0000'
F                EQU  H'0001'

;----- Register Files -----------------------------------------------------

;-----Bank0------------------
INDF0            EQU  H'0000'
INDF1            EQU  H'0001'
PCL              EQU  H'0002'
STATUS           EQU  H'0003'
FSR0             EQU  H'0004'
FSR0L            EQU  H'0004'
FSR0H            EQU  H'0005'
FSR1             EQU  H'0006'
FSR1L            EQU  H'0006'
FSR1H            EQU  H'0007'
PCLATH           EQU  H'0008'
INTCON           EQU  H'0009'
TRISA		EQU		H'0010'
TRISB		EQU		H'0011'
PORTA		EQU		H'001C'
PORTB		EQU		H'001D'
WPUA		EQU		H'0028'
WPUB		EQU		H'0029'
WPDA		EQU		H'0034'
WPDB		EQU		H'0035'
IOCA		EQU		H'0040'
IOCB		EQU		H'0041'
PORCTR		EQU		H'004C'
DRENAL		EQU		H'004D'
DRENBL		EQU		H'004E'
PIR1		EQU		H'0054'
PIR2		EQU		H'0055'
PIR3		EQU		H'0056'
T1L		EQU		H'0058'
T1H		EQU		H'0059'
T1CON		EQU		H'005A'
T0		EQU		H'005B'
T2		EQU		H'005C'
PR2		EQU		H'005D'
T2CON		EQU		H'005E'
PR1L		EQU		H'005F'
PR1CON		EQU		H'0060'     		
PIE1		EQU		H'0070'
PIE2		EQU		H'0071'
PIE3		EQU		H'0072'     		
OPTION		EQU		H'0078'
PCON		EQU		H'0079'
OSCCON		EQU		H'007A'
CCPR2L		EQU		H'0080'
CCPR2H		EQU		H'0081'
CCP2CON		EQU		H'0082'
CCPR1L		EQU		H'0083'
CCPR1H		EQU		H'0084'
CCP1CON		EQU		H'0085'  		
ANSELL		EQU		H'008C'
ANSELH		EQU		H'008D'
ADRESL		EQU		H'0092'
ADRESH		EQU		H'0093'
ADCON0		EQU		H'0094'
ADCON1		EQU		H'0095'
ADCLK		EQU		H'0096'  		
PMDATL		EQU		H'009A'
PMDATH		EQU		H'009B'
PMADRL		EQU		H'009C'
PMADRH		EQU		H'009D'
PMCON		EQU		H'009E'
DRENAH		EQU		H'00A0'
DRENBH		EQU		H'00A1'

;-----Bank1------------------   	
BRT             EQU             H'023A'
AUXR            EQU             H'023B'
SCON            EQU             H'023C'
SBUF            EQU             H'023D'
SADEN           EQU             H'023E'
SADDR           EQU             H'023F'

PWM0DTL		EQU		H'0257'
PWM0DTH		EQU		H'0258'
PWM0DL		EQU		H'0259'
PWM0DH		EQU		H'025A'
PWM0PL		EQU		H'025B'
PWM0PH		EQU		H'025C'
PWM0C		EQU		H'025D'
PWMEN		EQU		H'025E'
FLTM		EQU		H'025F'
PWMM 		EQU		H'0260' 

LCDCON		EQU		H'02B0'
COMAEN		EQU		H'02B1'
COMBEN		EQU		H'02B2'

;----- STATUS Bits --------------------------------------------------------
RP0							EQU  H'0005'
TO							EQU  H'0004'
PD							EQU  H'0003'
Z							EQU  H'0002'
DC							EQU  H'0001'
C							EQU  H'0000'
;----- INTCON Bits --------------------------------------------------------
GIE							EQU  H'0007'
PEIE							EQU  H'0006'
T0IE							EQU  H'0005' 
INTE							EQU  H'0004'
RBIE							EQU  H'0003'
T0IF							EQU  H'0002'
INTF							EQU  H'0001'
RBIF							EQU  H'0000'

;----- TRISA Bits ----------------------------------------------------------							
							
TRISA7							EQU  H'0007'
TRISA6							EQU  H'0006'
TRISA4							EQU  H'0004'
TRISA3							EQU  H'0003'
TRISA2							EQU  H'0002'
TRISA1							EQU  H'0001'
TRISA0							EQU  H'0000'

;----- TRISB Bits ----------------------------------------------------------							
							
TRISB7							EQU  H'0007'
TRISB6							EQU  H'0006'
TRISB5							EQU  H'0005'
TRISB3							EQU  H'0003'
TRISB2							EQU  H'0002'
TRISB1							EQU  H'0001'
TRISB0							EQU  H'0000'

;----- PORTA Bits ----------------------------------------------------------							
							
PORTA7							EQU  H'0007'
PORTA6							EQU  H'0006'
PORTA4							EQU  H'0004'
PORTA3							EQU  H'0003'
PORTA2							EQU  H'0002'
PORTA1							EQU  H'0001'
PORTA0							EQU  H'0000'
							
;----- PORTB Bits ----------------------------------------------------------							
							
PORTB7							EQU  H'0007'
PORTB6							EQU  H'0006'
PORTB5							EQU  H'0005'
PORTB3							EQU  H'0003'
PORTB2							EQU  H'0002'
PORTB1							EQU  H'0001'
PORTB0							EQU  H'0000'

;----- WPUA Bits ----------------------------------------------------------

WPUA7							EQU  H'0007'
WPUA6							EQU  H'0006'
WPUA4							EQU  H'0004'
WPUA3							EQU  H'0003'
WPUA2							EQU  H'0002'
WPUA1							EQU  H'0001'
WPUA0							EQU  H'0000' 

;----- WPUB Bits ----------------------------------------------------------

WPUB7							EQU  H'0007'
WPUB6							EQU  H'0006'
WPUB5							EQU  H'0005'
WPUB3							EQU  H'0003'
WPUB2							EQU  H'0002'
WPUB1							EQU  H'0001'
WPUB0							EQU  H'0000' 

;----- WPDA Bits ----------------------------------------------------------

WPDA7							EQU  H'0007'
WPDA6							EQU  H'0006'
WPDA4							EQU  H'0004'
WPDA3							EQU  H'0003'
WPDA2							EQU  H'0002'
WPDA1							EQU  H'0001'
WPDA0							EQU  H'0000' 

;----- WPDB Bits ----------------------------------------------------------

WPDB7							EQU  H'0007'
WPDB6							EQU  H'0006'
WPDB5							EQU  H'0005'
WPDB3							EQU  H'0003'
WPDB2							EQU  H'0002'
WPDB1							EQU  H'0001'
WPDB0							EQU  H'0000' 

;----- IOCA Bits ----------------------------------------------------------

IOCA7							EQU  H'0007'
IOCA6							EQU  H'0006'
IOCA4							EQU  H'0004'
IOCA3							EQU  H'0003'
IOCA2							EQU  H'0002'
IOCA1							EQU  H'0001'
IOCA0							EQU  H'0000'

;----- IOCB Bits ----------------------------------------------------------

IOCB7							EQU  H'0007'
IOCB6							EQU  H'0006'
IOCB5							EQU  H'0005'
IOCB3							EQU  H'0003'
IOCB2							EQU  H'0002'
IOCB1							EQU  H'0001'
IOCB0							EQU  H'0000'

;----- PORCTR Bits ----------------------------------------------------------
ONA3							EQU  H'0004'
CCPCT							EQU  H'0003'
PWMCT							EQU  H'0002'
UAPCT1							EQU  H'0001'
UAPCT0							EQU  H'0000'

;----- DRENAL Bits ----------------------------------------------------------

DRENAL7							EQU  H'0007'
DRENAL6							EQU  H'0006'
DRENAL4							EQU  H'0004'
DRENAL3							EQU  H'0003'
DRENAL2							EQU  H'0002'
DRENAL1							EQU  H'0001'
DRENAL0							EQU  H'0000' 

;----- DRENBL Bits ----------------------------------------------------------

DRENBL7							EQU  H'0007'
DRENBL6							EQU  H'0006'
DRENBL5							EQU  H'0005'
DRENBL3							EQU  H'0003'
DRENBL2							EQU  H'0002'
DRENBL1							EQU  H'0001'
DRENBL0							EQU  H'0000' 

;----- PIR1 bits --------------------------------------------------------
ADIF							EQU  H'0006'
CCP1IF						        EQU  H'0002'
T2IF							EQU  H'0001'
T1IF							EQU  H'0000'
						
;----- PIR2 Bits --------------------------------------------------------
PWM0IF						        EQU  H'0005' 
RXIF							EQU  H'0003'
TXIF							EQU  H'0002'
CCP2IF						        EQU  H'0000'
        						
;----- PIR3 Bits --------------------------------------------------------
RAIF							EQU  H'0000'

;----- T1CON Bits --------------------------------------------------------
T1CS1							EQU  H'0007'
T1CS0							EQU  H'0006'
T1CKPS1						        EQU  H'0005' 
T1CKPS0						        EQU  H'0004'
T1OSCEN						        EQU  H'0003'
T1SYNC						        EQU  H'0002'
T1ON							EQU  H'0000'

;----- T2CON Bits ----------------------------------------------------------

T2CKPS3						        EQU  H'0006'
T2CKPS2						        EQU  H'0005' 
T2CKPS1						        EQU  H'0004'
T2CKPS0						        EQU  H'0003'
T2ON							EQU  H'0002'

;----- PR1CON Bits ----------------------------------------------------------

PWM1T1						        EQU  H'0007'
PWM1T0						        EQU  H'0006' 
PWM2T1						        EQU  H'0005'
PWM2T0						        EQU  H'0004'
T1CKPS3							EQU  H'0003'
T1CKPS2							EQU  H'0002'
PWMPR1							EQU  H'0001'
PR1EN							EQU  H'0000'

;----- PIE1 Bits ----------------------------------------------------------
ADIE							EQU  H'0006'
CCP1IE						        EQU  H'0002'
T2IE							EQU  H'0001'
T1IE							EQU  H'0000'

;----- PIE2 Bits ----------------------------------------------------------
PWM0IE						        EQU  H'0005'
;USBIE							EQU  H'0004'
UARTIE						        EQU  H'0002'
;SPIE							EQU  H'0001'
CCP2IE						        EQU  H'0000'

;----- PIE3 Bits ----------------------------------------------------------
RAIE						        EQU  H'0000'

;----- OPTION Bits --------------------------------------------------------				
RBPUB							EQU  H'0007'
INTEDG						        EQU  H'0006'
T0CS							EQU  H'0005' 
T0SE							EQU  H'0004'
PSA							EQU  H'0003'																																		
PS2							EQU  H'0002'																																		
PS1							EQU  H'0001'																																		
PS0							EQU  H'0000'	

;----- PCON Bits ----------------------------------------------------------
LVD2EN						        EQU  H'0007'
LVD1EN						        EQU  H'0006'	
WDTENS						        EQU  H'0004'		
LVD2F							EQU  H'0003'
LVD1F							EQU  H'0002'
POR							EQU  H'0001'
BOR							EQU  H'0000'

;----- OSCCON Bits ----------------------------------------------------------
T0OSCEN						EQU  H'0007'
HXEN							EQU  H'0001'
SCS 							EQU  H'0000'
													
;----- CCP1CON Bits ----------------------------------------------------------
DC1B1							EQU  H'0005'
DC1B0							EQU  H'0004'
CCP1M3						        EQU  H'0003'																																
CCP1M2						        EQU  H'0002'																																
CCP1M1						        EQU  H'0001'																																
CCP1M0						        EQU  H'0000'																																

;----- CCP2CON Bits ----------------------------------------------------------

DC2B1							EQU  H'0005'
DC2B0							EQU  H'0004'
CCP2M3						        EQU  H'0003'	
CCP2M2						        EQU  H'0002'	
CCP2M1						        EQU  H'0001'	
CCP2M0						        EQU  H'0000'	
     			
;----- ANSELL Bits ----------------------------------------------------------
ANSEL7						EQU  H'0007'
ANSEL6						EQU  H'0006'
ANSEL4						EQU  H'0004'
ANSEL3						EQU  H'0003'
ANSEL2						EQU  H'0002'
ANSEL1						EQU  H'0001'
ANSEL0						EQU  H'0000'

;----- ANSELH Bits ----------------------------------------------------------
ANSEL14						EQU  H'0006'
ANSEL13						EQU  H'0005'
ANSEL12						EQU  H'0004'
ANSEL11						EQU  H'0003'
ANSEL10						EQU  H'0002'
ANSEL9						EQU  H'0001'
ANSEL8						EQU  H'0000'
        					
;----- ADCON0 Bits ----------------------------------------------------------
CHS3							EQU  H'0005'
CHS2							EQU  H'0004'
CHS1							EQU  H'0003'
CHS0							EQU  H'0002'
ADON							EQU  H'0001'
ADEN							EQU  H'0000'

;----- ADCON1 Bits ----------------------------------------------------------

ADFM							EQU  H'0007'
ADCS2							EQU  H'0006'
ADCS1							EQU  H'0005'
ADCS0							EQU  H'0004'
VHS2							EQU  H'0003'
VHS0H							EQU  H'0002'
VHS0L							EQU  H'0001'
ADREF							EQU  H'0000'

 ;-----ADCLK Bits ----------------------------------------------------------
ADCLK2							EQU  H'0002'       					
ADCLK1							EQU  H'0001'
ADCLK0							EQU  H'0000'    	

;-----PMCON Bits ----------------------------------------------------------  					
RDON							EQU  H'0000'

;----- DRENAH Bits ----------------------------------------------------------

DRENAH7							EQU  H'0007'
DRENAH6							EQU  H'0006'
DRENAH5							EQU  H'0005'
DRENAH4							EQU  H'0004'
DRENAH3							EQU  H'0003'
DRENAH2							EQU  H'0002'
DRENAH1							EQU  H'0001'
DRENAH0							EQU  H'0000' 

;----- DRENBH Bits ----------------------------------------------------------

DRENBH7							EQU  H'0007'
DRENBH6							EQU  H'0006'
DRENBH5							EQU  H'0005'
DRENBH4							EQU  H'0004'
DRENBH3							EQU  H'0003'
DRENBH2							EQU  H'0002'
DRENBH1							EQU  H'0001'
DRENBH0							EQU  H'0000' 

;----- AUXR Bits ----------------------------------------------------------
UARTEN							EQU  H'0006'
UARTM0							EQU  H'0005'
BRTR							EQU  H'0004'
BRTX12							EQU  H'0003'
S1BRS							EQU  H'0002'
SMOD							EQU  H'0001'
SMOD0							EQU  H'0000' 

;----- SCON Bits ----------------------------------------------------------
SM0FE							EQU  H'0007'
SM1							EQU  H'0006'
SM2							EQU  H'0005'
REN							EQU  H'0004'
TR8							EQU  H'0003'
RB8							EQU  H'0002'
RXWK							EQU  H'0001'

;----- PWM0DTL Bits ----------------------------------------------------------
DTL07							EQU  H'0007'
DTL06							EQU  H'0006'
DTL05							EQU  H'0005'
DTL04							EQU  H'0004'
DTL03							EQU  H'0003'
DTL02							EQU  H'0002'
DTL01							EQU  H'0001'
DTL00							EQU  H'0000'

;----- PWM0DTH Bits ----------------------------------------------------------
DTH03							EQU  H'0003'
DTH02							EQU  H'0002'
DTH01							EQU  H'0001'
DTH00							EQU  H'0000'

;----- PWM0DL Bits ----------------------------------------------------------
PD07							EQU  H'0007'
PD06							EQU  H'0006'
PD05							EQU  H'0005'
PD04							EQU  H'0004'
PD03							EQU  H'0003'
PD02							EQU  H'0002'
PD01							EQU  H'0001'
PD00							EQU  H'0000'

;----- PWM0DH Bits ----------------------------------------------------------
PD11							EQU  H'0003'
PD10							EQU  H'0002'
PD09							EQU  H'0001'
PD08							EQU  H'0000'

;----- PWM0PL Bits ----------------------------------------------------------
PP07							EQU  H'0007'
PP06							EQU  H'0006'
PP05							EQU  H'0005'
PP04							EQU  H'0004'
PP03							EQU  H'0003'
PP02							EQU  H'0002'
PP01							EQU  H'0001'
PP00							EQU  H'0000'

;----- PWM0PH Bits ----------------------------------------------------------
PP11							EQU  H'0003'
PP10							EQU  H'0002'
PP09							EQU  H'0001'
PP08							EQU  H'0000'

;--------PWM0C Bits--------------------------------------------------------------------
FLTS							EQU  H'0005'
FLTC							EQU  H'0004'
PWM0S1						        EQU  H'0003'
PWM0S0						        EQU  H'0002'
CK01							EQU  H'0001'
CK00							EQU  H'0000'

;--------PWMEN Bits-------------------------------------------------------------
EFLT							EQU  H'0006'
EPWM01						        EQU  H'0003'
EPWM0							EQU  H'0000'

;--------PWMM Bits-------------------------------------------------------------
PWM0M							EQU  H'0004'
RELOAD							EQU  H'0000'

;----- LCDCON Bits ----------------------------------------------------------

LCDEN						        EQU  H'0007'
RLCD1						        EQU  H'0006'
RLCD0							EQU  H'0005'
FRAME							EQU  H'0004'

;----- COMAEN Bits ----------------------------------------------------------

COMAEN7							EQU  H'0007'
COMAEN6							EQU  H'0006'
COMAEN5							EQU  H'0005'
COMAEN4							EQU  H'0004'
COMAEN3							EQU  H'0003'
COMAEN2							EQU  H'0002'
COMAEN1							EQU  H'0001'
COMAEN0							EQU  H'0000'

;----- COMBEN Bits ----------------------------------------------------------

COMBEN7							EQU  H'0007'
COMBEN6							EQU  H'0006'
COMBEN4							EQU  H'0004'
COMBEN3							EQU  H'0003'
COMBEN2							EQU  H'0002'
COMBEN1							EQU  H'0001'
COMBEN0							EQU  H'0000'

;==========================================================================
;
;       RAM Definitions
;
;==========================================================================
       __MAXRAM  H'03FF'
    
       __BADRAM  H'000a'-H'000f'
       __BADRAM  H'0013'-H'0014'
       __BADRAM  H'0016'-H'001b'
       __BADRAM  H'001f'-H'0020'
       __BADRAM  H'0022'-H'0027'
       __BADRAM  H'002b'-H'002c'
       __BADRAM  H'002e'-H'0033'
       __BADRAM  H'0037'-H'0038'
       __BADRAM  H'003a'-H'003f'
       __BADRAM  H'0043'-H'0044'
       __BADRAM  H'0046'-H'004b'
       __BADRAM  H'0050'-H'0051'
       __BADRAM  H'0053'
       __BADRAM  H'0057'
       __BADRAM  H'0061'-H'006f'
       __BADRAM  H'0073'-H'0077'
       __BADRAM  H'007b'-H'007f'
       __BADRAM  H'0086'-H'008b'
       __BADRAM  H'008e'-H'0091'
       __BADRAM  H'0097'-H'0099' 
       __BADRAM  H'009f'  
       __BADRAM  H'00a3'-H'00a4'
       __BADRAM  H'00a6'-H'00ff'
       
       __BADRAM  H'020a'-H'0239'
       __BADRAM  H'0240'-H'0257'
       __BADRAM  H'0260'-H'02af'
       __BADRAM  H'02b7'-H'02ff'   
       						
;==========================================================================
;
;       Configuration Bits
;
;   NAME            Address
;   CONFIG            2000h
;
;==========================================================================

; The following is an assignment of address values for all of the
; configuration registers for the purpose of table reads
_CONFIG          EQU  H'2000'


;----- CONFIG Options --------------------------------------------------
_FOSC_LP             EQU  H'FCFF'    ; LP oscillator: Low-power crystal on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_LP_OSC              EQU  H'FCFF'    ; LP oscillator: Low-power crystal on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_FOSC_XT             EQU  H'FDFF'    ; XT oscillator: Crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_XT_OSC              EQU  H'FDFF'    ; XT oscillator: Crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_FOSC_HS             EQU  H'FFFD'    ; HS oscillator: High-speed crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_HS_OSC              EQU  H'FFFD'    ; HS oscillator: High-speed crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
;_FOSC_EC             EQU  H'FFFD'    ; EC: I/O function on RA4/OSC2/CLKOUT pin, CLKIN on RA5/OSC1/CLKIN
;_EC_OSC              EQU  H'3FFB'    ; EC: I/O function on RA4/OSC2/CLKOUT pin, CLKIN on RA5/OSC1/CLKIN
_FOSC_INTRCIO        EQU  H'FFFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
_INTRC_OSC_NOCLKOUT  EQU  H'FFFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
_INTOSCIO            EQU  H'FFFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_FOSC_INTRCCLK       EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_INTRC_OSC_CLKOUT    EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_INTOSC              EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_FOSC_EXTRCIO        EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC_OSC_NOCLKOUT  EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRCIO             EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_FOSC_EXTRCCLK       EQU  H'FFFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC_OSC_CLKOUT    EQU  H'FFFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC               EQU  H'FFFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN

_WDTE_OFF            EQU  H'FFFB'    ; WDT disabled and can be enabled by SWDTEN bit of the WDTCON register
_WDT_OFF             EQU  H'FFFB'    ; WDT disabled and can be enabled by SWDTEN bit of the WDTCON register
_WDTE_ON             EQU  H'FFFF'    ; WDT enabled
_WDT_ON              EQU  H'FFFF'    ; WDT enabled

;_PWRTE_ON            EQU  H'3FEF'    ; PWRT enabled
;_PWRTE_OFF           EQU  H'3FFF'    ; PWRT disabled

;_MCLRE_OFF           EQU  H'3FDF'    ; MCLR pin function is digital input, MCLR internally tied to VDD
;_MCLRE_ON            EQU  H'3FFF'    ; MCLR pin function is MCLR

_CP_ON               EQU  H'FFEF'    ; Program memory code protection is enabled
_CP_OFF              EQU  H'FFFF'    ; Program memory code protection is disabled

;_CPD_ON              EQU  H'3F7F'    ; Data memory code protection is enabled
;_CPD_OFF             EQU  H'3FFF'    ; Data memory code protection is disabled

;_BOREN_OFF           EQU  H'3CFF'    ; BOR disabled
;_BOD_OFF             EQU  H'3CFF'    ; BOR disabled
;_BOR_OFF             EQU  H'3CFF'    ; BOR disabled
;_BOREN_SBODEN        EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOD_SBODEN          EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOR_SBODEN          EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOREN_NSLEEP        EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOD_NSLEEP          EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOR_NSLEEP          EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOREN_ON            EQU  H'3FFF'    ; BOR enabled
;_BOD_ON              EQU  H'3FFF'    ; BOR enabled
;_BOR_ON              EQU  H'3FFF'    ; BOR enabled

;_IESO_OFF            EQU  H'3BFF'    ; Internal External Switchover mode is disabled
;_IESO_ON             EQU  H'3FFF'    ; Internal External Switchover mode is enabled

;_FCMEN_OFF           EQU  H'37FF'    ; Fail-Safe Clock Monitor is disabled
;_FCMEN_ON            EQU  H'3FFF'    ; Fail-Safe Clock Monitor is enabled

;----- DEVID Equates --------------------------------------------------
;_DEVID1          EQU  H'2006'

;----- IDLOC Equates --------------------------------------------------
;_IDLOC0          EQU  H'2000'
;_IDLOC1          EQU  H'2001'
;_IDLOC2          EQU  H'2002'
;_IDLOC3          EQU  H'2003'

       
        LIST